Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2016786 - Review Request: python-pypesto - A widely applicable and highly customizable toolbox for parameter estimation
Summary: Review Request: python-pypesto - A widely applicable and highly customizable ...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-NEEDSPONSOR FE-DEADREVIEW fedora-neuro, NeuroFedora
TreeView+ depends on / blocked
 
Reported: 2021-10-23 19:42 UTC by AFOLABI, OLUYOSOLA ELIZABETH
Modified: 2022-03-03 00:45 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-03-03 00:45:13 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description AFOLABI, OLUYOSOLA ELIZABETH 2021-10-23 19:42:26 UTC
Spec URL: https://pagure.io/python-pypesto/raw/main/f/python-pypesto.spec
SRPM URL: https://pagure.io/python-pypesto/raw/main/f/python-pypesto-0.2.7-1.fc36.src.rpm

Description: pyPESTO is a widely applicable and highly customizable toolbox for parameter estimation
-Multi-start local optimization
- Profile computation and Result visualization
- Interface to AMICI for efficient simulation and sensitivity analysis of
-ordinary differential equation (ODE) models (example)
- Parameter estimation pipeline for systems biology problems specified in SBML
  and PEtab (example)
-Parameter estimation with qualitative data as described in Schmiester et al
  (2019). This is currently implemented in the feature_ordinal branch.


Fedora Account System Username: oluyosola

Comment 1 AFOLABI, OLUYOSOLA ELIZABETH 2021-10-25 19:39:27 UTC
I am a new packager and I need a sponsor.  Thanks

Comment 2 Vanessa Christopher 2021-10-26 17:29:39 UTC
Package looks great

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD (3 clause)". 213 files have
     unknown license. Detailed output of licensecheck in
     /home/vanessa/Desktop/contributions/reviews/2016786-python-
     pypesto/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-pypesto-0.2.7-1.fc36.noarch.rpm
          python-pypesto-0.2.7-1.fc36.src.rpm
python3-pypesto.noarch: W: spelling-error %description -l en_US et -> ET, wt, rt
python3-pypesto.noarch: W: spelling-error %description -l en_US al -> AL, la, Al
python-pypesto.src: W: spelling-error %description -l en_US et -> ET, wt, rt
python-pypesto.src: W: spelling-error %description -l en_US al -> AL, la, Al
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
python3-pypesto.noarch: W: spelling-error %description -l en_US et -> ET, wt, rt
The value of this tag appears to be misspelled. Please double-check.

python3-pypesto.noarch: W: spelling-error %description -l en_US al -> AL, la, Al
The value of this tag appears to be misspelled. Please double-check.

python-pypesto.src: W: spelling-error %description -l en_US et -> ET, wt, rt
The value of this tag appears to be misspelled. Please double-check.

python-pypesto.src: W: spelling-error %description -l en_US al -> AL, la, Al
The value of this tag appears to be misspelled. Please double-check.

2 packages and 1 specfiles checked; 0 errors, 4 warnings.


Source checksums
----------------
https://github.com/ICB-DCM/pyPESTO/archive/v0.2.7/python-pypesto-0.2.7.tar.gz :
  CHECKSUM(SHA256) this package     : c28c2235a9e3a9b536077c7b3a9b405ab71bfa6f2a11e0a7e292c57a08ef7dfc
  CHECKSUM(SHA256) upstream package : c28c2235a9e3a9b536077c7b3a9b405ab71bfa6f2a11e0a7e292c57a08ef7dfc


Requires
--------
python3-pypesto (rpmlib, GLIBC filtered):
    python(abi)
    python3.10dist(cloudpickle)
    python3.10dist(h5py)
    python3.10dist(matplotlib)
    python3.10dist(numpy)
    python3.10dist(pandas)
    python3.10dist(scipy)
    python3.10dist(seaborn)
    python3.10dist(tqdm)



Provides
--------
python3-pypesto:
    python-pypesto
    python3-pypesto
    python3.10-pypesto
    python3.10dist(pypesto)
    python3dist(pypesto)



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 2016786
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Shell-api, Generic
Disabled plugins: fonts, R, C/C++, Ocaml, SugarActivity, PHP, Java, Haskell, Perl
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 AFOLABI, OLUYOSOLA ELIZABETH 2021-10-27 09:09:32 UTC
Thanks for the review vanessa

Comment 4 Adeleye Opeyemi 2021-10-27 23:18:43 UTC
Looks great

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated




===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD (3 clause)". 213 files have
     unknown license. Detailed output of licensecheck in
     /home/ope/2016786-python-pypesto/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-pypesto-0.2.7-1.fc36.noarch.rpm
          python-pypesto-0.2.7-1.fc36.src.rpm
python3-pypesto.noarch: W: spelling-error %description -l en_US et -> ET, wt, rt
python3-pypesto.noarch: W: spelling-error %description -l en_US al -> AL, la, Al
python-pypesto.src: W: spelling-error %description -l en_US et -> ET, wt, rt
python-pypesto.src: W: spelling-error %description -l en_US al -> AL, la, Al
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
python3-pypesto.noarch: W: spelling-error %description -l en_US et -> ET, wt, rt
The value of this tag appears to be misspelled. Please double-check.

python3-pypesto.noarch: W: spelling-error %description -l en_US al -> AL, la, Al
The value of this tag appears to be misspelled. Please double-check.

python-pypesto.src: W: spelling-error %description -l en_US et -> ET, wt, rt
The value of this tag appears to be misspelled. Please double-check.

python-pypesto.src: W: spelling-error %description -l en_US al -> AL, la, Al
The value of this tag appears to be misspelled. Please double-check.

2 packages and 1 specfiles checked; 0 errors, 4 warnings.



Source checksums
----------------
https://github.com/ICB-DCM/pyPESTO/archive/v0.2.7/python-pypesto-0.2.7.tar.gz :
  CHECKSUM(SHA256) this package     : c28c2235a9e3a9b536077c7b3a9b405ab71bfa6f2a11e0a7e292c57a08ef7dfc
  CHECKSUM(SHA256) upstream package : c28c2235a9e3a9b536077c7b3a9b405ab71bfa6f2a11e0a7e292c57a08ef7dfc


Requires
--------
python3-pypesto (rpmlib, GLIBC filtered):
    python(abi)
    python3.10dist(cloudpickle)
    python3.10dist(h5py)
    python3.10dist(matplotlib)
    python3.10dist(numpy)
    python3.10dist(pandas)
    python3.10dist(scipy)
    python3.10dist(seaborn)
    python3.10dist(tqdm)



Provides
--------
python3-pypesto:
    python-pypesto
    python3-pypesto
    python3.10-pypesto
    python3.10dist(pypesto)
    python3dist(pypesto)



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 2016786
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Python, Shell-api
Disabled plugins: Java, Perl, fonts, Ocaml, C/C++, Haskell, R, SugarActivity, PHP
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 5 Ankur Sinha (FranciscoD) 2021-11-04 20:29:12 UTC
Thanks for your reviews! They're very welcome and useful!

I'll go review this now.

Comment 6 Ankur Sinha (FranciscoD) 2021-11-04 20:45:58 UTC
Looks very good. A couple of issues (please see below for full explanations):

- please correct the changelog
- please update to use the latest version

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 3-Clause License". 213 files have
     unknown license. Detailed output of licensecheck in
     /home/asinha/2016786-python-pypesto/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
^
- Please remove "for python-pypesto" from the changelog
- Note that you can also use %autochangelog if you wish.

[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.

^
rpm -ql -p ./python3-pypesto-0.2.7-1.fc36.noarch.rpm  --licensefiles
/usr/lib/python3.10/site-packages/pypesto-0.2.7.dist-info/LICENSE


[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
^
Package imports correctly, so this should be OK.

[!]: Latest version is packaged.
^
They released 0.2.8 a few days ago, so we should use that.

[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
^
Note that the tests use some optional packages that aren't in Fedora yet, so we use the simple import check.

[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------

rpmlint *rpm ../srpm-unpacked/python-pypesto.spec
======================================================== rpmlint session starts ========================================================
rpmlint: 2.1.0
configuration:
    /usr/lib/python3.10/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/licenses.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 3

========================= 2 packages and 1 specfiles checked; 0 errors, 0 warnings, 0 badness; has taken 1.7 s =========================


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Source checksums
----------------
https://github.com/ICB-DCM/pyPESTO/archive/v0.2.7/python-pypesto-0.2.7.tar.gz :
  CHECKSUM(SHA256) this package     : c28c2235a9e3a9b536077c7b3a9b405ab71bfa6f2a11e0a7e292c57a08ef7dfc
  CHECKSUM(SHA256) upstream package : c28c2235a9e3a9b536077c7b3a9b405ab71bfa6f2a11e0a7e292c57a08ef7dfc


Requires
--------
python3-pypesto (rpmlib, GLIBC filtered):
    python(abi)
    python3.10dist(cloudpickle)
    python3.10dist(h5py)
    python3.10dist(matplotlib)
    python3.10dist(numpy)
    python3.10dist(pandas)
    python3.10dist(scipy)
    python3.10dist(seaborn)
    python3.10dist(tqdm)



Provides
--------
python3-pypesto:
    python-pypesto
    python3-pypesto
    python3.10-pypesto
    python3.10dist(pypesto)
    python3dist(pypesto)



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 2016786
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic, Python
Disabled plugins: Perl, Ocaml, SugarActivity, R, Haskell, fonts, PHP, Java, C/C++
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 7 AFOLABI, OLUYOSOLA ELIZABETH 2022-01-05 10:46:29 UTC
(In reply to Ankur Sinha (FranciscoD) from comment #6)
> Looks very good. A couple of issues (please see below for full explanations):
> 
> - please correct the changelog
> - please update to use the latest version
> 
> Package Review
> ==============
> 
> Legend:
> [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> [ ] = Manual review needed
> 
> 
> ===== MUST items =====
> 
> Generic:
> [x]: Package is licensed with an open-source compatible license and meets
>      other legal requirements as defined in the legal section of Packaging
>      Guidelines.
> [x]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses
>      found: "Unknown or generated", "BSD 3-Clause License". 213 files have
>      unknown license. Detailed output of licensecheck in
>      /home/asinha/2016786-python-pypesto/licensecheck.txt
> [x]: Package contains no bundled libraries without FPC exception.
> [!]: Changelog in prescribed format.
> ^
> - Please remove "for python-pypesto" from the changelog
> - Note that you can also use %autochangelog if you wish.
> 
> [x]: Sources contain only permissible code or content.
> [-]: Package contains desktop file if it is a GUI application.
> [-]: Development files must be in a -devel package
> [x]: Package uses nothing in %doc for runtime.
> [x]: Package consistently uses macros (instead of hard-coded directory
>      names).
> [x]: Package is named according to the Package Naming Guidelines.
> [x]: Package does not generate any conflict.
> [x]: Package obeys FHS, except libexecdir and /usr/target.
> [-]: If the package is a rename of another package, proper Obsoletes and
>      Provides are present.
> [x]: Requires correct, justified where necessary.
> [x]: Spec file is legible and written in American English.
> [-]: Package contains systemd file(s) if in need.
> [x]: Package is not known to require an ExcludeArch tag.
> [-]: Large documentation must go in a -doc subpackage. Large could be size
>      (~1MB) or number of files.
>      Note: Documentation size is 10240 bytes in 1 files.
> [x]: Package complies to the Packaging Guidelines
> [x]: Package successfully compiles and builds into binary rpms on at least
>      one supported primary architecture.
> [x]: Package installs properly.
> [x]: Rpmlint is run on all rpms the build produces.
>      Note: There are rpmlint messages (see attachment).
> [x]: If (and only if) the source package includes the text of the
>      license(s) in its own file, then that file, containing the text of the
>      license(s) for the package is included in %license.
> 
> ^
> rpm -ql -p ./python3-pypesto-0.2.7-1.fc36.noarch.rpm  --licensefiles
> /usr/lib/python3.10/site-packages/pypesto-0.2.7.dist-info/LICENSE
> 
> 
> [x]: Package requires other packages for directories it uses.
> [x]: Package must own all directories that it creates.
> [x]: Package does not own files or directories owned by other packages.
> [x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
> [x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
>      beginning of %install.
> [x]: Macros in Summary, %description expandable at SRPM build time.
> [x]: Dist tag is present.
> [x]: Package does not contain duplicates in %files.
> [x]: Permissions on files are set properly.
> [x]: Package must not depend on deprecated() packages.
> [x]: Package use %makeinstall only when make install DESTDIR=... doesn't
>      work.
> [x]: Package is named using only allowed ASCII characters.
> [x]: Package does not use a name that already exists.
> [x]: Package is not relocatable.
> [x]: Sources used to build the package match the upstream source, as
>      provided in the spec URL.
> [x]: Spec file name must match the spec package %{name}, in the format
>      %{name}.spec.
> [x]: File names are valid UTF-8.
> [x]: Packages must not store files under /srv, /opt or /usr/local
> 
> Python:
> [x]: Python eggs must not download any dependencies during the build
>      process.
> [x]: A package which is used by another package via an egg interface should
>      provide egg info.
> [x]: Package meets the Packaging Guidelines::Python
> [x]: Package contains BR: python2-devel or python3-devel
> [x]: Packages MUST NOT have dependencies (either build-time or runtime) on
>      packages named with the unversioned python- prefix unless no properly
>      versioned package exists. Dependencies on Python packages instead MUST
>      use names beginning with python2- or python3- as appropriate.
> [x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
> [x]: Binary eggs must be removed in %prep
> 
> ===== SHOULD items =====
> 
> Generic:
> [-]: If the source package does not include license text(s) as a separate
>      file from upstream, the packager SHOULD query upstream to include it.
> [x]: Final provides and requires are sane (see attachments).
> [x]: Package functions as described.
> ^
> Package imports correctly, so this should be OK.
> 
> [!]: Latest version is packaged.
> ^
> They released 0.2.8 a few days ago, so we should use that.
> 
> [x]: Package does not include license text files separate from upstream.
> [-]: Sources are verified with gpgverify first in %prep if upstream
>      publishes signatures.
>      Note: gpgverify is not used.
> [-]: Description and summary sections in the package spec file contains
>      translations for supported Non-English languages, if available.
> [x]: Package should compile and build into binary rpms on all supported
>      architectures.
> [x]: %check is present and all tests pass.
> ^
> Note that the tests use some optional packages that aren't in Fedora yet, so
> we use the simple import check.
> 
> [x]: Packages should try to preserve timestamps of original installed
>      files.
> [x]: Reviewer should test that the package builds in mock.
> [x]: Buildroot is not present
> [x]: Package has no %clean section with rm -rf %{buildroot} (or
>      $RPM_BUILD_ROOT)
> [x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
> [x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
> [x]: Sources can be downloaded from URI in Source: tag
> [x]: SourceX is a working URL.
> [x]: Spec use %global instead of %define unless justified.
> 
> ===== EXTRA items =====
> 
> Generic:
> [x]: Rpmlint is run on all installed packages.
>      Note: There are rpmlint messages (see attachment).
> [x]: Spec file according to URL is the same as in SRPM.
> 
> 
> Rpmlint
> -------
> 
> rpmlint *rpm ../srpm-unpacked/python-pypesto.spec
> ======================================================== rpmlint session
> starts ========================================================
> rpmlint: 2.1.0
> configuration:
>     /usr/lib/python3.10/site-packages/rpmlint/configdefaults.toml
>     /etc/xdg/rpmlint/fedora.toml
>     /etc/xdg/rpmlint/licenses.toml
>     /etc/xdg/rpmlint/scoring.toml
>     /etc/xdg/rpmlint/users-groups.toml
>     /etc/xdg/rpmlint/warn-on-functions.toml
> checks: 31, packages: 3
> 
> ========================= 2 packages and 1 specfiles checked; 0 errors, 0
> warnings, 0 badness; has taken 1.7 s =========================
> 
> 
> Rpmlint (installed packages)
> ----------------------------
> Cannot parse rpmlint output:
> 
> 
> Source checksums
> ----------------
> https://github.com/ICB-DCM/pyPESTO/archive/v0.2.7/python-pypesto-0.2.7.tar.
> gz :
>   CHECKSUM(SHA256) this package     :
> c28c2235a9e3a9b536077c7b3a9b405ab71bfa6f2a11e0a7e292c57a08ef7dfc
>   CHECKSUM(SHA256) upstream package :
> c28c2235a9e3a9b536077c7b3a9b405ab71bfa6f2a11e0a7e292c57a08ef7dfc
> 
> 
> Requires
> --------
> python3-pypesto (rpmlib, GLIBC filtered):
>     python(abi)
>     python3.10dist(cloudpickle)
>     python3.10dist(h5py)
>     python3.10dist(matplotlib)
>     python3.10dist(numpy)
>     python3.10dist(pandas)
>     python3.10dist(scipy)
>     python3.10dist(seaborn)
>     python3.10dist(tqdm)
> 
> 
> 
> Provides
> --------
> python3-pypesto:
>     python-pypesto
>     python3-pypesto
>     python3.10-pypesto
>     python3.10dist(pypesto)
>     python3dist(pypesto)
> 
> 
> 
> Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
> Command line :/usr/bin/fedora-review -b 2016786
> Buildroot used: fedora-rawhide-x86_64
> Active plugins: Shell-api, Generic, Python
> Disabled plugins: Perl, Ocaml, SugarActivity, R, Haskell, fonts, PHP, Java,
> C/C++
> Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH


Thanks, I will go ahead and make the changes.

Comment 8 Ankur Sinha (FranciscoD) 2022-01-31 10:20:22 UTC
Hi Oluyosola,

Anything we can help with to move this along? Please feel free to ping me in the channels and we can do it together if that'll help.

Cheers,
Ankur

Comment 9 Package Review 2022-03-03 00:45:13 UTC
This is an automatic action taken by review-stats script.

The ticket submitter failed to clear the NEEDINFO flag in a month.
As per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
we consider this ticket as DEADREVIEW and proceed to close it.


Note You need to log in before you can comment on or make changes to this bug.